com.google.cloud.dataflow.sdk.io

## Enum FileBasedSource.Mode

- java.lang.Object
- - java.lang.Enum<FileBasedSource.Mode>
  - - com.google.cloud.dataflow.sdk.io.FileBasedSource.Mode

All Implemented Interfaces:
  Serializable, Comparable<FileBasedSource.Mode>

Enclosing class:
  FileBasedSource<T>

    public static enum FileBasedSource.Mode
    extends Enum<FileBasedSource.Mode>

A given `FileBasedSource` represents a file resource of one of these types.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FILEPATTERN`
`SINGLE_FILE_OR_SUBRANGE`

### Method Summary

All Methods Static Methods Concrete Methods
`static FileBasedSource.Mode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FileBasedSource.Mode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FILEPATTERN

    public static final FileBasedSource.Mode FILEPATTERN

#### SINGLE_FILE_OR_SUBRANGE

    public static final FileBasedSource.Mode SINGLE_FILE_OR_SUBRANGE

### Method Detail

#### values

    public static FileBasedSource.Mode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FileBasedSource.Mode c : FileBasedSource.Mode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FileBasedSource.Mode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null